package main

import "time"

type Stream struct {
	Context    string     `json:"@context"`
	ID         string     `json:"id"`
	Type       string     `json:"type"`
	TotalItems int        `json:"totalItems"`
	Items      []struct{} `json:"items"`
}

type Activity struct {
	Context   string    `json:"@context"`
	Summary   string    `json:"summary"`
	Type      string    `json:"type"`
	Published time.Time `json:"published"`
	Actor     Actor     `json:"actor"`
	Object    *Object   `json:"object,omitempty"`
	Target    *Object   `json:"target,omitempty"`
}

type Object struct {
	ID   string `json:"id"`
	Type string `json:"type"`
	URL  string `json:"url"`
	Name string `json:"name"`
}

type Streams struct{}

func (s *Streams) Inbox()

func (s *Streams) Outbox()

func (s *Streams) Followers()

func (s *Streams) Followed()
